#!/bin/sh -efu
#
# Variables below must be defined before script runs
readonly php_extconf="${php_extconf:?}"
readonly php_sysconfdir="${php_sysconfdir:?}"

[ -d "$php_extconf" -a -d "$php_sysconfdir" ] || exit 0

readonly sapiList="${sapiList:=`find "$php_sysconfdir" -mindepth 1 -maxdepth 1 -type d -printf '%f '`}"
readonly extList="${extList:=`find "$php_extconf" -mindepth 1 -maxdepth 1 -type d -printf '%f '`}"

for ext in $extList; do
	module_params="$php_extconf/$ext/params"

	[ -f "$module_params" ] ||
		continue

	file_ini=

	. "$module_params"

	config_ini="${file_ini:=$ext.ini}"

	for sapi in $sapiList; do

		# extra check to assure the sapi is really installed
		[ -f "$php_sysconfdir/$sapi/php.ini" ] ||
			continue

		cur_config="$php_sysconfdir/$sapi/php.d/$config_ini"

		[ -f "$cur_config" ] ||
			continue

		rm -f "$cur_config"

	done
done
